<?php
include_once '../sys/fnc.php';
/* ---- */	
if (!isset($user)) {
    header('location: /');
    exit;
}
/* ---- */	
$title = 'Системные уведомления';
include_once '../sys/head.php';

// mysql_query("INSERT INTO `system_notice` (`id_user`, `time`, `text`) values('$user->id', '".time()."', 'Тестик')");

mysql_query("UPDATE `system_notice` SET `chit` = '0' WHERE `id_user` = '$user->id'"); // Ставим статус прочитано

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `system_notice` WHERE `id_user` = '".$user->id."'"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Список пустой</div>\n";}
$q=mysql_query("SELECT * FROM `system_notice` WHERE `id_user` = '$user->id' ORDER BY id DESC LIMIT $start, ". $p_page);

while($r = mysql_fetch_array($q)){
echo "<div class='post'>";
echo html($r['text']) .'<br />Получено в '. date('d.y/H:i',$r['time']);
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
include_once '../sys/foot.php';
?>